#!/bin/csh -f

# Author: Jon C. Meyer, jmeyer@ucsd.edu, 2006-04-03
# get_uhdas_data.csh:
#   sync the UHDAS data on rev-adcp-uhdas with data here on revelle


# attempt to load cruise variables if they're not already loaded
if (! $?HOME_DIR ) then
	set ROOT_DIR =
	set HOME_DIR = ${ROOT_DIR}/SCG.PROC/sproc
	source ${HOME_DIR}/SET.cruise.dirs
endif

set dstDir = ${DIRUWDATA}/ADCP/${CRUISE}

# open up all directories and files under this directory for 
# user+group read/write permission, only for the upcoming rsync operation
chmod -R ug+w $dstDir

foreach d ( proc raw )
	# NOTE: no trailing slash -- important for rsync
	set srcDir = /UHDAS.Data/${CRUISE}/${d}

	# rsync remote EM120 raw data into a raw directory, here.
	# NOTE THE TRAILING SLASH ON THE SOURCE FOLDER -- VERY IMPORTANT
	/usr/local/bin/rsync -rlpt ${srcDir} ${dstDir}
end

# ensure everyone can read, but nobody can overwrite this data
chmod -R ugo-w $dstDir
